import { BuilderContextInterface } from "../../context/types.js";
import { BuilderBlock } from "../../types/builder-block.js";
import { RepeatData } from "./types.js";
export declare type RenderBlockProps = {
    block: BuilderBlock;
    context: BuilderContextInterface;
};
export declare const component: (props: any, state: any) => any;
export declare const componentInfo: (props: any, state: any) => any;
export declare const componentRef: (props: any, state: any) => any;
export declare const tagName: (props: any, state: any) => import("../../functions/get-block-tag.js").TagName;
export declare const useBlock: (props: any, state: any) => any;
export declare const attributes: (props: any, state: any) => {
    style: any;
    'builder-id': string | undefined;
    class: string;
};
export declare const shouldWrap: (props: any, state: any) => boolean;
export declare const componentOptions: (props: any, state: any) => any;
export declare const renderComponentProps: (props: any, state: any) => {
    blockChildren: any;
    componentRef: any;
    componentOptions: any;
    context: any;
};
export declare const children: (props: any, state: any) => any;
export declare const childrenWithoutParentComponent: (props: any, state: any) => any;
export declare const repeatItemData: (props: any, state: any) => RepeatData[] | undefined;
export declare const RenderBlock: (props: RenderBlockProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default RenderBlock;
